MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000027Xdebug(No Category)public2003-11-05 00:582003-11-07 16:27
Reportermelvyn 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000027: Repeated connect attempts when no debugger is listening
Description[1] Set xdebug.remote_enable to 'on' in php.ini
[2] Fire up something like 'phpMyAdmin'
[3] check kernel messages in your log.

On FreeBSD [3] will result in:
Nov 3 10:32:18 ghost /kernel: Limiting closed port RST response from 201 to 200 packets per second

This is an anti-portscan defence in the BSD kernel, which indicates that while running a number of php pages, xdebug makes more then 200 connect attempts per second.
Additional InformationP-IV 2.4GHz, xdebug version 1.2 (FreeBSD ports)
TagsNo tags attached.
Operating SystemFreeBSD ghost.lan.webteckies.org 4.9-RC FreeBSD 4.9-RC 0000006: Wed Oct 1 07:44:36 CEST 2003 root@ghost.lan.webteckies.org:/usr/obj/usr/src/sys/GHOST i386
PHP Version4.3.4-dev
Attached Files

- Relationships

-  Notes
(0000045)
rehsack (reporter)
2003-11-05 11:03

This happens when you're actived the remote debugger but didn't start it.
Comment out the line 'xdebug.remote_enable=on' or set it to off, restart
your web-server and your problem should be gone.
(0000047)
derick (administrator)
2003-11-07 15:06

Right, that's true. But it is still a bug which is easily fixed :) Xdebug tries to connect on every function call atm.

- Issue History
Date Modified Username Field Change
2003-11-05 00:58 melvyn New Issue
2003-11-05 11:03 rehsack Note Added: 0000045
2003-11-07 15:06 derick Note Added: 0000047
2003-11-07 15:06 derick Assigned To => derick
2003-11-07 15:06 derick Status new => assigned
2003-11-07 15:06 derick Description Updated
2003-11-07 16:27 derick Assigned To derick =>
2003-11-07 16:27 derick Status assigned => closed
2016-07-31 13:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 13:35 derick Category debugclient (debugging tool) => (No Category)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker